<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net472</TargetFramework>
    <Nullable>enable</Nullable>
    <UseWPF>true</UseWPF>
	<LangVersion>latest</LangVersion>
	<Company>重庆盟讯电子科技有限公司</Company>
	<Copyright>Copyright ©  2024</Copyright>
	<AssemblyVersion>1.0.0</AssemblyVersion>
	<FileVersion>1.0.0</FileVersion>
	<ApplicationIcon>Resources\Logo.ico</ApplicationIcon>
	<Authors>重庆盟讯电子科技有限公司</Authors>
	<Product>货架标准上位机</Product>
	<AssemblyName>货架标准上位机</AssemblyName>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702;8601;8618;8625</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Fonts\demo\**" />
    <EmbeddedResource Remove="Fonts\demo\**" />
    <None Remove="Fonts\demo\**" />
    <Page Remove="Fonts\demo\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Fonts\iconfont.ttf" />
    <None Remove="Resources\cloud.png" />
    <None Remove="Resources\goOutInstore.png" />
    <None Remove="Resources\Logo.ico" />
    <None Remove="Resources\Logo.png" />
    <None Remove="Resources\LogoAll.zip" />
    <None Remove="Resources\LogoJd.ico" />
    <None Remove="Resources\LogoJd.png" />
    <None Remove="Resources\LogoJd2.ico" />
    <None Remove="Resources\LogoJd2.png" />
    <None Remove="Resources\主页.png" />
    <None Remove="Resources\入库.png" />
    <None Remove="Resources\权限.png" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="HandyControl" Version="3.5.1" />
    <PackageReference Include="LiveCharts.Wpf.Core" Version="0.9.8" />
    <PackageReference Include="MiniExcel" Version="1.31.3" />
    <PackageReference Include="MySqlConnector" Version="2.3.5" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="Ping9719.WpfEx" Version="0.8.0" />
    <PackageReference Include="QRCoder" Version="1.5.1" />
    <PackageReference Include="SqlSugar" Version="5.1.4.149" />
    <PackageReference Include="SqlSugar.MySqlConnector" Version="5.1.3.42" />
    <PackageReference Include="System.Data.SQLite.Core" Version="1.0.118" />
    <PackageReference Include="TouchSocket.Http" Version="2.0.3" />
    <PackageReference Include="TouchSocket.SerialPorts" Version="2.0.2" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Interop.BarTender">
      <HintPath>..\..\..\..\..\Windows\assembly\GAC_MSIL\Interop.BarTender\10.1.4.1__109ff779a1b4cbc7\Interop.BarTender.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Printing" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Fonts\iconfont.ttf">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\cloud.png" />
    <Resource Include="Resources\goOutInstore.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Resources\Logo.ico" />
    <Resource Include="Resources\Logo.png" />
    <Resource Include="Resources\主页.png" />
    <Resource Include="Resources\入库.png" />
    <Resource Include="Resources\权限.png" />
  </ItemGroup>

  <ItemGroup>
    <None Update="data\jsconfig.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="data\操作说明书.docx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Excel\出库单据导入模板.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Excel\物料管理导入模板.xlsx">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Resources\Interop.BarTender.dll">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Resources\入库.png">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Resources\物料条码.btw">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </None>
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Excel\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\WCS.Model\WCS.Model.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Compile Update="Models\JsConfig.cs">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Compile>
    <Compile Update="Views\Controls\ScannerDisplayControl.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Update="Views\Controls\ProcessDialog.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Update="Views\Controls\ImageDialog.xaml.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>

  <ItemGroup>
    <Page Update="Views\MatBaseInoScanGenarateMatInfoView.xaml">
      <SubType>Designer</SubType>
    </Page>
    <Page Update="Views\ShelfInfoAddOrUpdateView.xaml">
      <SubType>Designer</SubType>
    </Page>
  </ItemGroup>

</Project>
